Bug 970130 - Review Request: git-extras - Little git extras
Review Request: git-extras - Little git extras
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 09:52 EDT by Björn 'besser82' Esser
Modified: 2013-07-27 21:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: git-extras-1.9.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Björn 'besser82' Esser 2013-06-03 09:52:43 EDT
Spec URL: http://besser82.fedorapeople.org/review/git-extras/git-extras.spec
SRPM URL: http://besser82.fedorapeople.org/review/git-extras/git-extras-1.8.0-1.fc19.src.rpm
Description: git-extras adds the following extra-commands to git:

alias, archive-file, bug, changelog, commits-since, contrib, count,
create-branch, delete-branch, delete-submodule, delete-tag, effort,
extras, feature, fresh-branch, gh-pages, graft, ignore, info,
local-commits, obliterate, promote, refactor, release, repl, setup,
squash, summary, touch, undo

For more information about the extra-commands, see the included
README.md, HTML, mark-down or man-pages.

Fedora Account System Username: besser82
Comment 2 Antonio Trande 2013-06-07 16:33:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/970130-git-extras/licensecheck.txt
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).

Just a complete use in '%{buildroot}%{_sysconfdir}/bash_completion.d/git-extras' line.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 266240 bytes in 70 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: git-extras-1.8.0-1.fc20.noarch.rpm
git-extras.noarch: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
git-extras.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
git-extras.noarch: W: spelling-error %description -l en_US submodule -> sub module, sub-module, module
git-extras.noarch: W: spelling-error %description -l en_US gh -> f, g, h
git-extras.noarch: W: spelling-error %description -l en_US refactor -> redactor, reactor, re factor
git-extras.noarch: W: spelling-error %description -l en_US repl -> rep, rel, repel
git-extras.noarch: W: no-manual-page-for-binary git-obliterate
git-extras.noarch: W: no-manual-page-for-binary git-pull-request
1 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint git-extras
git-extras.noarch: W: spelling-error %description -l en_US changelog -> change log, change-log, changeling
git-extras.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
git-extras.noarch: W: spelling-error %description -l en_US submodule -> sub module, sub-module, module
git-extras.noarch: W: spelling-error %description -l en_US gh -> f, g, h
git-extras.noarch: W: spelling-error %description -l en_US refactor -> redactor, reactor, re factor
git-extras.noarch: W: spelling-error %description -l en_US repl -> rep, rel, repel
git-extras.noarch: W: no-manual-page-for-binary git-obliterate
git-extras.noarch: W: no-manual-page-for-binary git-pull-request
1 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
git-extras (rpmlib, GLIBC filtered):
    /bin/bash
    bash-completion
    config(git-extras)
    git



Provides
--------
git-extras:
    config(git-extras)
    git-extras



Source checksums
----------------
https://github.com/visionmedia/git-extras/archive/1.8.0.tar.gz#/git-extras-1.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 80ef21860809167324828da90d9cafff4f49c79096c63e0d7d104d0e6db849ff
  CHECKSUM(SHA256) upstream package : 80ef21860809167324828da90d9cafff4f49c79096c63e0d7d104d0e6db849ff


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 970130
Comment 3 Björn 'besser82' Esser 2013-06-07 17:06:45 EDT
(In reply to Antonio Trande from comment #2)
> [!]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> 
> Just a complete use in
> '%{buildroot}%{_sysconfdir}/bash_completion.d/git-extras' line.

Alright, I missed one %{version} in Source0

      's!1\.8\.0/!%\{version\}!'

Where else to use macros?

      # These go relative to %{source0} having the complete-dirs
      # picked-up in %files-%doc later.

      install -pm 0644 man/*.html html
      install -pm 0644 man/*.md md

      %files
      %config(noreplace) %{_sysconfdir}/bash_completion.d/*
--->  %doc AUTHORS History.md LICENSE Readme.md html/ md/  <---
      %{_bindir}/*
      %{_mandir}/man*/*

#####

Updated spec/srpm

Spec URL: http://besser82.fedorapeople.org/review/git-extras/git-extras.spec
SRPM URL: http://besser82.fedorapeople.org/review/git-extras/git-extras-1.8.0-2.fc19.src.rpm

%changelog
* Fri Jun 07 2013 Björn Esser <bjoern.esser@gmail.com> - 1.8.0-2
- added missing %%{version} in Source0

* Mon Jun 03 2013 Björn Esser <bjoern.esser@gmail.com> - 1.8.0-1
- Initial rpm release
Comment 4 Antonio Trande 2013-06-07 17:18:51 EDT
(In reply to Björn Esser from comment #3)
> (In reply to Antonio Trande from comment #2)
> > [!]: Package consistently uses macro is (instead of hard-coded directory
> >      names).
> > 
> > Just a complete use in
> > '%{buildroot}%{_sysconfdir}/bash_completion.d/git-extras' line.
> 
> Alright, I missed one %{version} in Source0
> 
>       's!1\.8\.0/!%\{version\}!'
> 
> Where else to use macros?

Here: 

'%{buildroot}%{_sysconfdir}/bash_completion.d/git-extras' becomes
'%{buildroot}%{_sysconfdir}/bash_completion.d/%{name}'
Comment 5 Björn 'besser82' Esser 2013-06-07 17:24:43 EDT
Alright! Fixed that, too.
Comment 6 Antonio Trande 2013-06-07 17:29:01 EDT
Package approved !
Comment 7 Björn 'besser82' Esser 2013-06-07 17:33:52 EDT
Thanks a lot for review, Antonio!

#####

New Package SCM Request
=======================
Package Name: git-extras
Short Description: Little git extras
Owners: besser82
Branches: f19 f18
InitialCC:
Comment 8 Sergio Monteiro Basto 2013-06-08 14:00:10 EDT
hello , the bug needs to be open , as in review request: #799651 ,
I don't close it, after do a scm request.

after get fedora-cvs+, you have build the package on rawhide, F19 and F18 and after that do a fedpkg update (only on branch F19 and F18) to generate a bodhi request where you mention that is for close this bug, after that Fedora Update System  will change status automatically     
from ASSIGNED to MODIFIED and MODIFIED to CLOSE (when pushed to stable)
Comment 9 Gwyn Ciesla 2013-06-10 07:56:41 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-06-10 08:32:17 EDT
git-extras-1.8.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-extras-1.8.0-2.fc19
Comment 11 Fedora Update System 2013-06-10 09:17:51 EDT
git-extras-1.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-extras-1.8.0-3.fc19
Comment 12 Fedora Update System 2013-06-10 11:22:14 EDT
git-extras-1.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/git-extras-1.8.0-3.fc18
Comment 13 Fedora Update System 2013-06-11 05:00:00 EDT
git-extras-1.8.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2013-06-18 02:08:42 EDT
git-extras-1.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-06-20 04:01:54 EDT
git-extras-1.9.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/git-extras-1.9.0-1.fc18
Comment 16 Fedora Update System 2013-07-27 21:12:11 EDT
git-extras-1.9.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.